### Constructor

# Ide CompileCommands new

#### Declaration

    IdeCompileCommands*
    ide_compile_commands_new (
      void
    )

#### Description

Creates a new `IdeCompileCommands` object which can be used to parse clang-style compile commands database files (compile_commands.json).

Available since: | 3.32

#### Return value

Returns: | `IdeCompileCommands`
| The newly created `IdeCompileCommands`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.